Помощь Проблемы с парсингом ParseMX

Тема в разделе "Opencart", создана пользователем Trafim6021, 10 дек 2013.

Информация :
Внимание форумчане! При создании тем, или выкладывании какой-либо информации проверьте в какой ветке форума вы находитесь! Не путайте Opencart и Opencart2. При несоблюдении данного условия выносится соответствующее наказание! И потом не говорите что вас НЕ ПРЕДУПРЕЖДАЛИ! По возможности используйте обменники mail, yandex, google, dropbox, rghost Дабы избежать просьб перезалить и проблем с рекламой!
Модераторы: ZiX
  1. Trafim6021

    Trafim6021 Нарушитель

    Регистр.:
    20 ноя 2013
    Сообщения:
    516
    Симпатии:
    110
    Поставил плагин http://opencartforum.ru/files/file/724-parsemx/ все сделал как писалось
    выдает ошибку Fatal error: Cannot instantiate abstract class VQMod in /home/vetkor/ktota.com/www/parsemx/platform.php on line 949
    ставил на OPENCART 1.5.6
     
  2. autos

    autos

    Регистр.:
    14 июл 2007
    Сообщения:
    184
    Симпатии:
    48
    сначала надо поставить модуль VQMod, или руками из папки vqmod руками внести изменения в файлы
    скачать VQMod
     
  3. LyToR

    LyToR Постоялец

    Регистр.:
    11 сен 2012
    Сообщения:
    145
    Симпатии:
    143
    Исправляется этот баг заменой от строки 949 - 954
    PHP:
    $vqmod = new VQMod();
        require_once(
    $vqmod->modCheck(DIR_SYSTEM 'startup.php'));
        require_once(
    $vqmod->modCheck(DIR_SYSTEM 'library/currency.php'));
        require_once(
    $vqmod->modCheck(DIR_SYSTEM 'library/user.php'));
        require_once(
    $vqmod->modCheck(DIR_SYSTEM 'library/weight.php'));
        require_once(
    $vqmod->modCheck(DIR_SYSTEM 'library/length.php'));
    Следующим кодом:
    PHP:
    VQMod::bootup();
        require_once(
    VQMod::modCheck(DIR_SYSTEM 'startup.php'));
        require_once(
    VQMod::modCheck(DIR_SYSTEM 'library/currency.php'));
        require_once(
    VQMod::modCheck(DIR_SYSTEM 'library/user.php'));
        require_once(
    VQMod::modCheck(DIR_SYSTEM 'library/weight.php'));
        require_once(
    VQMod::modCheck(DIR_SYSTEM 'library/length.php'));
     
  4. Niko_aahc

    Niko_aahc Писатель

    Регистр.:
    20 янв 2013
    Сообщения:
    7
    Симпатии:
    0
    не парсит( ошибка WARNING! No list script for sitename
     
  5. LyToR

    LyToR Постоялец

    Регистр.:
    11 сен 2012
    Сообщения:
    145
    Симпатии:
    143
    Какая версия, что правил, какой хостинг, и что парсишь?
    По ошибке - не правильно создан скрипт. Попробуй протестировать на Хотлайне.
     
    Niko_aahc нравится это.
  6. Niko_aahc

    Niko_aahc Писатель

    Регистр.:
    20 янв 2013
    Сообщения:
    7
    Симпатии:
    0
    версия 1.20 парсю отсюда http://technopoint.ru/. создавал с помощью мастера. а списком так и не парсит. и скрипт не сохраняет просто кнопочки нету

    хотлайн спарсил
     
    Последнее редактирование модератором: 28 янв 2014
  7. Niko_aahc

    Niko_aahc Писатель

    Регистр.:
    20 янв 2013
    Сообщения:
    7
    Симпатии:
    0
    Undefined index: donor_id in /vqmod/vqcache/vq2-catalog_controller_product_product.php on line 420 как поправить? и вообще, работает ли он с фреймами? на этом сайте картинки во фрейме. парсит либо маленькие либо выдает такую ошибку
     
  8. LyToR

    LyToR Постоялец

    Регистр.:
    11 сен 2012
    Сообщения:
    145
    Симпатии:
    143
    Видео о работе с мастером инструкций
    Поправить головой и руками. Он не понимает чего вы от него хотите! Undefined index: donor_id.
    Работает ли он с фреймами - задайте вопрос разработчику.
    В видео выше показано как вытянуть большие картинки......
    И вообще если есть вопрос, то пишите версию Опенкатр, какой сайт парсите, какой лог в системе.
     
    cubaseda нравится это.
  9. Niko_aahc

    Niko_aahc Писатель

    Регистр.:
    20 янв 2013
    Сообщения:
    7
    Симпатии:
    0
    купил лицензию на год все работает)
     
  10. LyToR

    LyToR Постоялец

    Регистр.:
    11 сен 2012
    Сообщения:
    145
    Симпатии:
    143
    Что даже Iframe парсит правильно? На какой сайт купил лицензию? Хочу узнать возможности.... версии 1.24а